USE Stocks

SELECT	exchange, 
		dividends_year, 
		ROUND(Dividends, 2) AS Dividends,
		AnnualCount
FROM	(
--This derived query formats the data
SELECT	exchange, 
		dividends_year, 
		SUM(dividends)		AS Dividends,
		COUNT(*)			AS AnnualCount
FROM	dbo.Stock_Dividends_AMEX
GROUP BY
		exchange, 
		dividends_year 
UNION ALL
SELECT	exchange, 
		dividends_year, 
		SUM(dividends)		AS Dividends,
		COUNT(*)			AS AnnualCount
FROM	dbo.Stock_Dividends_NASDAQ
GROUP BY
		exchange, 
		dividends_year 
UNION ALL
SELECT	exchange, 
		dividends_year, 
		SUM(dividends)		AS Dividends,
		COUNT(*)			AS AnnualCount
FROM	dbo.Stock_Dividends_NYSE
GROUP BY
		exchange, 
		dividends_year 
UNION ALL
SELECT	'TOTAL' AS exchange, 
		dividends_year, 
		SUM(dividends)		AS Dividends,
		COUNT(*)			AS AnnualCount
FROM	dbo.Stock_Dividends_AMEX
GROUP BY
		exchange, 
		dividends_year 
UNION ALL
SELECT	'TOTAL' AS exchange, 
		dividends_year, 
		SUM(dividends)		AS Dividends,
		COUNT(*)			AS AnnualCount
FROM	dbo.Stock_Dividends_NASDAQ
GROUP BY
		exchange, 
		dividends_year 
UNION ALL
SELECT	'TOTAL' AS exchange, 
		dividends_year, 
		SUM(dividends)		AS Dividends,
		COUNT(*)			AS AnnualCount
FROM	dbo.Stock_Dividends_NYSE
GROUP BY
		exchange, 
		dividends_year 
		) MICHAELDNEWBY
GROUP BY
		exchange, 
		dividends_year, 
		dividends, 
		AnnualCount
ORDER BY
		exchange