--SELECT	@SQL = REPLACE(N'SELECT	* FROM	dbo.vw_Billing PIVOT(SUM(BillAmount) FOR BillDate IN ( [<Year>01],[<Year>02],[<Year>03],[<Year>04],[<Year>05],[<Year>06],[<Year>07],[<Year>08],[<Year>09],[<Year>10],[<Year>11],[<Year>12] )) AS MICHAEL ORDER BY Customer', '<Year>', @ISYear)

SELECT	*
FROM	(
		SELECT	exchange, 
				CAST(dividends_year AS varchar) + Right('0' + CAST(dividends_month AS varchar), 2) AS 'YrMo',
				COUNT(*)	AS AnnualCount
		FROM	dbo.Stock_Dividends_AMEX
		GROUP BY
				exchange, 
				dividends_year, 
				dividends_month
		UNION ALL
		SELECT	exchange, 
				CAST(dividends_year AS varchar) + Right('0' + CAST(dividends_month AS varchar), 2) AS 'YrMo',
				COUNT(*)	AS AnnualCount
		FROM	dbo.Stock_Dividends_NASDAQ
		GROUP BY
				exchange, 
				dividends_year, 
				dividends_month
		UNION ALL
		SELECT	exchange, 
				CAST(dividends_year AS varchar) + Right('0' + CAST(dividends_month AS varchar), 2) AS 'YrMo',
				COUNT(*)	AS AnnualCount
		FROM	dbo.Stock_Dividends_NYSE
		GROUP BY
				exchange, 
				dividends_year, 
				dividends_month

PIVOT(SUM(AnnualCount) FOR YrMo IN (
									SELECT  CAST(dividends_year AS varchar) + Right('0' + CAST(dividends_month AS varchar), 2) AS YrMo
									FROM	dbo.Stock_Dividends_NYSE
									GROUP BY
											dividends_year, 
											dividends_month
									ORDER BY
											dividends_year, 
											dividends_month
									)
		) MICHAELDNEWBY
ORDER BY
		exchange, 
		YrMo