USE [Stocks]
GO

/****** Object:  StoredProcedure [dbo].[usp_Dividends_Update_ISO_Week_NASDAQ]    Script Date: 09/04/2011 04:00:28 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO


-- =============================================
-- Author:		Michael D. Newby
-- Create date: 8-24-2011
-- Description:	Add iso_week_num to AMEX Stock Dividends table
-- =============================================
CREATE PROCEDURE [dbo].[usp_Dividends_Update_ISO_Week_NASDAQ]
AS

BEGIN
SET NOCOUNT ON;

UPDATE Stock_Dividends_NASDAQ
SET dividends_iso_week = DATEPART(ISO_WEEK,dividends_date)

END


GO


