USE [Stocks]
GO

/****** Object:  View [dbo].[vw_StockDividends_YrMo]    Script Date: 11/01/2011 22:22:01 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO


CREATE VIEW [dbo].[vw_StockDividends_YrMo]
AS

SELECT	*
FROM	(
		SELECT	exchange, 
				CAST(dividends_year AS varchar(4)) + Right('0' + CAST(dividends_month AS varchar(2)), 2) AS 'YrMo',
				COUNT(*)	AS Count
		FROM	dbo.Stock_Dividends_AMEX
		GROUP BY
				exchange, 
				dividends_year, 
				dividends_month
		UNION ALL
		SELECT	exchange, 
				CAST(dividends_year AS varchar(4)) + Right('0' + CAST(dividends_month AS varchar(2)), 2) AS 'YrMo',
				COUNT(*)	AS Count
		FROM	dbo.Stock_Dividends_NASDAQ
		GROUP BY
				exchange, 
				dividends_year, 
				dividends_month
		UNION ALL
		SELECT	exchange, 
				CAST(dividends_year AS varchar(4)) + Right('0' + CAST(dividends_month AS varchar(2)), 2) AS 'YrMo',
				COUNT(*)	AS Count
		FROM	dbo.Stock_Dividends_NYSE
		GROUP BY
				exchange, 
				dividends_year, 
				dividends_month
		) MICHAELDNEWBY
WHERE	LEFT(YrMo, 4) = (SELECT LEFT(ReportDate, 4) FROM dbo.Report_Date)


GO


