USE [Stocks]
GO

/****** Object:  View [dbo].[vw_StockPrices_YrMo]    Script Date: 11/01/2011 22:22:17 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO


CREATE VIEW [dbo].[vw_StockPrices_YrMo]
AS

SELECT	*
FROM	(
		SELECT	exchange, 
				CAST(trade_year AS varchar(4)) + Right('0' + CAST(trade_month AS varchar(2)), 2) AS 'YrMo',
				COUNT(*)	AS Count
		FROM	dbo.Stock_Prices_AMEX
		GROUP BY
				exchange, 
				trade_year, 
				trade_month
		UNION ALL
		SELECT	exchange, 
				CAST(trade_year AS varchar(4)) + Right('0' + CAST(trade_month AS varchar(2)), 2) AS 'YrMo',
				COUNT(*)	AS Count
		FROM	dbo.Stock_Prices_NASDAQ
		GROUP BY
				exchange, 
				trade_year, 
				trade_month
		UNION ALL
		SELECT	exchange, 
				CAST(trade_year AS varchar(4)) + Right('0' + CAST(trade_month AS varchar(2)), 2) AS 'YrMo',
				COUNT(*)	AS Count
		FROM	dbo.Stock_Prices_NYSE
		GROUP BY
				exchange, 
				trade_year, 
				trade_month
		) MICHAELDNEWBY
WHERE	LEFT(YrMo, 4) = (SELECT LEFT(ReportDate, 4) FROM dbo.Report_Date)


GO


