DECLARE	@SQL		VARCHAR(5000), 
		@Columns	VARCHAR(5000)

SELECT	@Columns = COALESCE(@Columns + 
							',[' + 
							CAST(YEAR(dividends_date) AS VARCHAR(4)) + RIGHT('00' + CAST(MONTH(dividends_date) AS VARCHAR(2)),2) + 
							']', '[' + 
							CAST(YEAR(dividends_date) AS VARCHAR(4)) + RIGHT('00' + CAST(MONTH(dividends_date) AS VARCHAR(2)),2) + 
							']')
FROM	dbo.Stock_Dividends_AMEX
GROUP BY
		dividends_date
ORDER BY
		dividends_date

SET		@SQL = 'SELECT * FROM vw_Billing PIVOT(SUM(BillAmount) FOR BillDate IN (' + @Columns + ')) AS MICHAELDNEWBY'
EXEC	(@SQL)



SELECT	*
FROM	(
		SELECT	exchange, 
				CAST(dividends_year AS varchar(4)) + Right('0' + CAST(dividends_month AS varchar(2)), 2) AS 'YrMo',
				COUNT(*)	AS AnnualCount
		FROM	dbo.Stock_Dividends_AMEX
		GROUP BY
				exchange, 
				dividends_year, 
				dividends_month
		UNION ALL
		SELECT	exchange, 
				CAST(dividends_year AS varchar(4)) + Right('0' + CAST(dividends_month AS varchar(2)), 2) AS 'YrMo',
				COUNT(*)	AS AnnualCount
		FROM	dbo.Stock_Dividends_NASDAQ
		GROUP BY
				exchange, 
				dividends_year, 
				dividends_month
		UNION ALL
		SELECT	exchange, 
				CAST(dividends_year AS varchar(4)) + Right('0' + CAST(dividends_month AS varchar(2)), 2) AS 'YrMo',
				COUNT(*)	AS AnnualCount
		FROM	dbo.Stock_Dividends_NYSE
		GROUP BY
				exchange, 
				dividends_year, 
				dividends_month

PIVOT(SUM(AnnualCount) FOR YrMo IN (
									SELECT  CAST(dividends_year AS varchar) + Right('0' + CAST(dividends_month AS varchar), 2) AS YrMo
									FROM	dbo.Stock_Dividends_NYSE
									GROUP BY
											dividends_year, 
											dividends_month
									ORDER BY
											dividends_year, 
											dividends_month
									)
		) MICHAELDNEWBY
ORDER BY
		exchange, 
		YrMo