USE [Stocks]
GO

/****** 
Object:			Table [dbo].[Stock_Prices_NYSE]
Script Date:	11/07/2011 22:00:27 
Description:	

******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[Stock_Prices_NYSE](
	[exchange] [varchar](10) NULL,
	[stock_symbol] [varchar](10) NULL,
	[trade_date] [datetime] NULL,
	[trade_day] [int] NULL,
	[trade_month] [int] NULL,
	[trade_year] [int] NULL,
	[trade_week] [int] NULL,
	[trade_iso_week] [int] NULL,
	[stock_price_open] [money] NULL,
	[stock_price_high] [money] NULL,
	[stock_price_low] [money] NULL,
	[stock_price_close] [money] NULL,
	[stock_volume] [bigint] NULL
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO


